# Function pipeline

- pipeline<A, B>(source, destination, options?): PipelinePromise<B>

- #### Type Parameters

  - A extends PipelineSource<any>
  - B extends WritableStream | PipelineDestinationIterableFunction<any> | PipelineDestinationPromiseFunction<any, any> | PipelineDestinationIterableFunction<string | Buffer> | PipelineDestinationPromiseFunction<string | Buffer, any>

  #### Parameters

  - source: A
  - destination: B
  - `Optional` options: PipelineOptions

  #### Returns PipelinePromise<B>

  - Defined in node_modules/@types/node/stream/promises.d.ts:14
- pipeline<A, T1, B>(source, transform1, destination, options?): PipelinePromise<B>

- #### Type Parameters

  - A extends PipelineSource<any>
  - T1 extends PipelineTransform<A, any>
  - B extends WritableStream | PipelineDestinationIterableFunction<any> | PipelineDestinationPromiseFunction<any, any> | PipelineDestinationIterableFunction<string | Buffer> | PipelineDestinationPromiseFunction<string | Buffer, any>

  #### Parameters

  - source: A
  - transform1: T1
  - destination: B
  - `Optional` options: PipelineOptions

  #### Returns PipelinePromise<B>

  - Defined in node_modules/@types/node/stream/promises.d.ts:19
- pipeline<A, T1, T2, B>(source, transform1, transform2, destination, options?): PipelinePromise<B>

- #### Type Parameters

  - A extends PipelineSource<any>
  - T1 extends PipelineTransform<A, any>
  - T2 extends PipelineTransform<T1, any>
  - B extends WritableStream | PipelineDestinationIterableFunction<any> | PipelineDestinationPromiseFunction<any, any> | PipelineDestinationIterableFunction<string | Buffer> | PipelineDestinationPromiseFunction<string | Buffer, any>

  #### Parameters

  - source: A
  - transform1: T1
  - transform2: T2
  - destination: B
  - `Optional` options: PipelineOptions

  #### Returns PipelinePromise<B>

  - Defined in node_modules/@types/node/stream/promises.d.ts:29
- pipeline<A, T1, T2, T3, B>(source, transform1, transform2, transform3, destination, options?): PipelinePromise<B>

- #### Type Parameters

  - A extends PipelineSource<any>
  - T1 extends PipelineTransform<A, any>
  - T2 extends PipelineTransform<T1, any>
  - T3 extends PipelineTransform<T2, any>
  - B extends WritableStream | PipelineDestinationIterableFunction<any> | PipelineDestinationPromiseFunction<any, any> | PipelineDestinationIterableFunction<string | Buffer> | PipelineDestinationPromiseFunction<string | Buffer, any>

  #### Parameters

  - source: A
  - transform1: T1
  - transform2: T2
  - transform3: T3
  - destination: B
  - `Optional` options: PipelineOptions

  #### Returns PipelinePromise<B>

  - Defined in node_modules/@types/node/stream/promises.d.ts:41
- pipeline<A, T1, T2, T3, T4, B>(source, transform1, transform2, transform3, transform4, destination, options?): PipelinePromise<B>

- #### Type Parameters

  - A extends PipelineSource<any>
  - T1 extends PipelineTransform<A, any>
  - T2 extends PipelineTransform<T1, any>
  - T3 extends PipelineTransform<T2, any>
  - T4 extends PipelineTransform<T3, any>
  - B extends WritableStream | PipelineDestinationIterableFunction<any> | PipelineDestinationPromiseFunction<any, any> | PipelineDestinationIterableFunction<string | Buffer> | PipelineDestinationPromiseFunction<string | Buffer, any>

  #### Parameters

  - source: A
  - transform1: T1
  - transform2: T2
  - transform3: T3
  - transform4: T4
  - destination: B
  - `Optional` options: PipelineOptions

  #### Returns PipelinePromise<B>

  - Defined in node_modules/@types/node/stream/promises.d.ts:55
- pipeline(streams, options?): Promise<void>

- #### Parameters

  - streams: readonly (ReadableStream | WritableStream | ReadWriteStream)[]
  - `Optional` options: PipelineOptions

  #### Returns Promise<void>

  - Defined in node_modules/@types/node/stream/promises.d.ts:71
- pipeline(stream1, stream2, ...streams): Promise<void>

- #### Parameters

  - stream1: ReadableStream
  - stream2: WritableStream | ReadWriteStream
  - `Rest` ...streams: (WritableStream | ReadWriteStream | PipelineOptions)[]

  #### Returns Promise<void>

  - Defined in node_modules/@types/node/stream/promises.d.ts:75